package com.emato.cus.supervise.service.oms;

import com.emato.cus.supervise.domainOms.OmsMerchInfo;
import com.emato.cus.supervise.domainOms.OmsProductInfo;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author zengjunlin
 * @version 1.0
 * 2018-02-02 17:42
 */
public interface OmsDataService {

    /**
     * 货物库存数据
     * @param merchSnList 商户编码
     * @return
     */
    List<OmsMerchInfo> getOmsMerchInfoList(List<String> merchSnList);

    List<OmsProductInfo> getOmsProductInfoList(List<String> skuList);
}
