package com.emato.cus.supervise.service.omsshop;

import com.emato.cus.supervise.domainOmsShop.OmsShopAcqShelfLoad;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * 门店货物上下架数据 Oms 门店
 * @author Scott Chen
 * @version 1.0
 * 2020-03-30 11:27
 */
public interface OmsShopAcqShelfLoadService {
    /**
     * OMS 门店入场 即上架 出区
     * @param param
     * @return
     */
    List<OmsShopAcqShelfLoad> getOmsShopAcqShelfLoadUp(Map<String, Object> param);

    /**
     * OMS 门店出场  即下架 返区
     * @param param
     * @return
     */
    List<OmsShopAcqShelfLoad> getOmsShopAcqShelfLoadDown(Map<String, Object> param);

    /**
     * OMS 门店销售 即下架
     * @param param
     * @return
     */
    List<OmsShopAcqShelfLoad> getOmsShopAcqShelfLoadSaleDown(Map<String, Object> param);

}
